<?
/*
Gpio Belegung :

Mischer auf     = GPIO 27 an
Mischer Zu      = GPIO 27 aus
Mischer Netz    = GPIO 17 aus = Mischer Netz an
Brenner         = GPIO 22
Pumpe Heizkreis = GPIO 23
Pumpe Speicher  = GPIO 24

1wire Bus       = GPIO 4
*/

/*
##############################################################
im /opt/gpio die Datei gpio_init.sh erzeugen :

#!/bin/sh
# Input-Ports (Taster)
for Port in  20 21
  do
  echo "$Port" > /sys/class/gpio/export
  echo "in" >/sys/class/gpio/gpio${Port}/direction
  chmod 660 /sys/class/gpio/gpio${Port}/direction
  chmod 660 /sys/class/gpio/gpio${Port}/value
done

# Output-Ports (LED)
for Port in 17 27 22 23 24
  do
  echo "$Port" > /sys/class/gpio/export
  echo "out" >/sys/class/gpio/gpio${Port}/direction
  echo "0" >/sys/class/gpio/gpio${Port}/value
  chmod 660 /sys/class/gpio/gpio${Port}/direction
  chmod 660 /sys/class/gpio/gpio${Port}/value
done

##############################################################
/etc/rc.local erweitern :

#!/bin/sh -e
#
# rc.local
#
# This script is executed at the end of each multiuser runlevel.
# Make sure that the script will "exit 0" on success or any other
# value on error.
#
# In order to enable or disable this script just change the execution
# bits.
#
# By default this script does nothing.
/opt/gpio/gpio_init.sh
exit 0


#############################################################

/boot/config.txt :
gpu_mem=16
dtoverlay=sdhost
#dtoverlay=w1-gpio
dtoverlay=w1-gpio,gpiopin=4,pullup=on

*/
 
?>