<?
// Daten die vorgegeben werden müssen
$Kp=1; // 5 Kp = Verstärkungsfaktor Proportionalregler
$Ki=1; //2.5 Ki = Verstärkungsfaktor Integralregler
$Kd=1; //0 Kd = Verstärkungsfaktor Differenzialregler

$Script = IPS_GetScript($_IPS['SELF']);
//$Ta = Round((time() - $Script['ScriptExecuted'])/15,0); //Ta = Rechenschrittweite (Abtastzeit)

$SollTemperaturID = IPS_GetObjectIDByName("Soll_Temperatur_Kessel", IPS_GetParent($_IPS['SELF']));
$IstTemperaturID = IPS_GetObjectIDByName("Temperatur", IPS_GetParent($_IPS['SELF']));
$HeizungsStellelementID = IPS_GetObjectIDByName("Heizungs_Stellelement", IPS_GetParent($_IPS['SELF']));
$VorherigeRegelabweichungID = IPS_GetObjectIDByName("Vorherige_Regelabweichung", IPS_GetParent($_IPS['SELF']));
$bernnerID = IPS_GetObjectIDByName("Brenner", IPS_GetParent($_IPS['SELF']));
$SpeicheranforderungID = IPS_GetObjectIDByName("Speicheranforderung", IPS_GetParent($_IPS['SELF']));
$SollTemperaturSpeicherID = IPS_GetObjectIDByName("Soll_Temperatur_Speicherladung", IPS_GetParent($_IPS['SELF']));
$SteilheitID = IPS_GetObjectIDByName("Steilheit", IPS_GetParent($_IPS['SELF']));
$maxID = IPS_GetObjectIDByName("max Kessel",IPS_GetParent($_IPS['SELF']));
$minID = IPS_GetObjectIDByName("min Kessel", IPS_GetParent($_IPS['SELF']));
$Korrektur_KesselID = IPS_GetObjectIDByName("Korrektur_Kessel", IPS_GetParent($_IPS['SELF']));
$Kessel_faktorID = IPS_GetObjectIDByName("Kessel Hysterese", IPS_GetParent($_IPS['SELF']));

$id = IPS_GetParent($_IPS['SELF']);
$id2= IPS_GetParent($id);
$id3= IPS_GetObjectIDByName("Regler Aussentemperatur", $id2);
$HandID = IPS_GetObjectIDByName("Hand_Auto", $id3);
$UhrID = IPS_GetObjectIDByName("Uhr Heizung", $id3);
$Soll_TagID = IPS_GetObjectIDByName("Soll Tag", $id3);
$Soll_NachtID = IPS_GetObjectIDByName("Soll Nacht", $id3);
$IstTemperaturAussenID = IPS_GetObjectIDByName("Temperatur_Aussen", $id3);

$Uhr = GetValue($UhrID);
$Hand = GetValue($HandID);
$max = GetValue($maxID);
$min = GetValue($minID);
$Aussentemp=GetValueFloat($IstTemperaturAussenID);;
$Steilheit = GetValue($SteilheitID);
$Korrektur_Kessel = GetValue($Korrektur_KesselID);
$Speicheranforderung = GetValue($SpeicheranforderungID);
$SollTemperaturSpeicher = GetValue($SollTemperaturSpeicherID);
$Soll_Tag = GetValue($Soll_TagID);
$Soll_Nacht = GetValue($Soll_NachtID);

if ($Hand == 0)  { //Automatik ist an

	if ($Uhr == 1)  {
		$Raumsollwert= $Soll_Tag ;//12 Nacht
		} else{
		$Raumsollwert= $Soll_Nacht ;//12 Nacht
	}
//Sommer, Kesselsollwert
   if ($Aussentemp < $Raumsollwert ) {
		$Vorlauftemperatur_Kessel=min(max(round((0.55*$Steilheit*(pow($Raumsollwert,($Aussentemp/(320-$Aussentemp*4))))*((-$Aussentemp+20)*2)+$Raumsollwert+$Korrektur_Kessel)*1)/1,$min),$max);
		$Kessel_faktor = GetValue($Kessel_faktorID);
		$Kessel_soll = $Vorlauftemperatur_Kessel + $Kessel_faktor;
// Kesselschutz 38°C
		if ($Kessel_soll < $min) {
          SetValueFloat($SollTemperaturID, $min);
      }
// Maximalbegrenzung Kessel
		if ($Kessel_soll < $max) {
			SetValueFloat($SollTemperaturID, $Kessel_soll);
			} else {
			SetValueFloat($SollTemperaturID, $max);
		}
     } else{
// Ausentemp grösserr Raumsollwert
     SetValueFloat($SollTemperaturID, $min);
     }
}


//aktuelle Regelabweichung bestimmen
if ($Speicheranforderung == 0) {
	$e = GetValueFloat($SollTemperaturID)- GetValueFloat($IstTemperaturID);#
	} else{
	$e = $SollTemperaturSpeicher - GetValueFloat($IstTemperaturID);
	SetValueFloat($SollTemperaturID, $SollTemperaturSpeicher);
}

// Die vorherige Regelabweichung ermitteln
$ealt = GetValueFloat($VorherigeRegelabweichungID);

// Die Berechnung des neuen Regelwertes
//$y = ($Kp * $e + $Ki * $Ta * $esum + $Kd * ($e - $ealt) / $Ta);
$y = $Kp * $e;
$Stellwert=$y;
// Vorherige Regelabweichung durch jetzige ersetzen
SetValueFloat($VorherigeRegelabweichungID, $e);
// 6K - 8K  zwischen Brenner ein/aus
SetValueInteger($HeizungsStellelementID, $Stellwert);
if ($Hand == 0)  { //Automatik ist an

	If ($y < -3 )
	    {
	   	exec ('echo "1" > /sys/class/gpio/gpio22/value');
	    }

	If ($y > 3 )
	    {
	   	exec ('echo "0" > /sys/class/gpio/gpio22/value');
	    }
}
$x = intval(exec ('cat /sys/class/gpio/gpio22/value'));
if ($x == 1){ $x=0;} else { $x=1; }
SetValueBoolean($bernnerID,$x);

?>